#global commit_hash
#global snap_date
#global alphatag    %%{snap_date}git%%{commit_hash}

Name:           xnoise
Version:        0.2.21
Release:        1%{?dist}
Summary:        Tracklist-centric Media Player

Group:          Applications/Multimedia
License:        GPLv2+ with exceptions
URL:            http://www.xnoise-media-player.com/
Source0:        https://bitbucket.org/shuerhaaken/xnoise/downloads/xnoise-%{version}.tar.gz
# git clone git://github.com/shuerhaaken/xnoise.git && cd xnoise
# git checkout %%{commit_hash} && ./autogen.sh && make dist-xz
# mv xnoise-%%{version}.tar.xz xnoise-%%{version}-%%{commit_hash}.tar.xz
#Source0:        xnoise-%%{version}-%%{commit_hash}.tar.xz

# for snapshots
# BuildRequires:  gnome-common autoconf automake libtool
# pulled in by gnome-common for snapshots
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libtaginfo_c)
BuildRequires:  libsoup-devel
BuildRequires:  unique-devel
# not needed unless source .vala files are modified
# BuildRequires:  vala-devel >= 0.18.0
BuildRequires:  desktop-file-utils gettext intltool
# for removing rpath
BuildRequires:  chrpath
Requires:       hicolor-icon-theme
# xnoise >= 0.1.14 bundles the plug-ins
Provides:       xnoise-plugins-core = %{version}-%{release}
Obsoletes:      xnoise-plugins-core < %{version}-%{release}

%description
Xnoise is a Gtk+ media player with a tracklist-centric design. The
tracklist is a list of video or music tracks that are played one by
one without being removed (right side of window). This gives you the
possibility to enqueue any track in any order, regardless if they are
on the same album or not. The tracks can be reordered at any time by
using drag and drop.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
# for snapshot builds
#NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/xnoise.desktop
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# remove invalid locale file
rm -rf $RPM_BUILD_ROOT%{_share}/locale/default

# Remove RPATHs
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/xnoise{,_image_extractor_service}
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libxnoise.so.0.0.0

# Remove Ubuntu-specific icons
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/ubuntu-mono-*

%find_lang %{name}


%check
make check


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/xnoise
%{_bindir}/xnoise_image_extractor_service
%{_libdir}/lib*.so.*
%{_libdir}/xnoise
%{_mandir}/man1/xnoise.1*
%{_datadir}/xnoise
%{_datadir}/dbus-1/services/org.gtk.xnoise.*.service
%{_datadir}/applications/xnoise.desktop
%{_datadir}/icons/hicolor/*/*/xn*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xnoise
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/xnoise-1.0.pc
# make package own the vala API dir:
# xnoise plugins don't have to be written in vala
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/xnoise-1.0.*


%changelog
* Mon Jan 27 2014 Michel Salim <salimma@fedoraproject.org> - 0.2.21-1
- Update to 0.2.21

* Fri Dec 20 2013 Michel Salim <salimma@fedoraproject.org> - 0.2.20-1
- Update to 0.2.20

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 14 2013 Michel Salim <salimma@fedoraproject.org> - 0.2.18-1
- Update to 0.2.18

* Sat Mar 16 2013 Michel Salim <salimma@fedoraproject.org> - 0.2.17-1
- Update to 0.2.17

* Fri Mar  8 2013 Michel Salim <salimma@fedoraproject.org> - 0.2.16-1
- Update to 0.2.16
- TagInfo library has been split off and is now a dependency

* Sat Feb  9 2013 Michel Salim <salimma@fedoraproject.org> - 0.2.15-1
- Update to 0.2.15

* Fri Dec 28 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.14-1
- Update to 0.2.14

* Thu Nov  1 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.13-1
- Update to 0.2.13

* Mon Oct  8 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.12-1
- Update to 0.2.12

* Thu Sep 20 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.11-1
- Update to 0.2.11

* Sat Sep 15 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.10-1
- Update to 0.2.10

* Mon Sep  3 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.8-1
- Update to 0.2.9

* Sun Jul 22 2012 Michel Salim <salimma@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.31-3.20120203git2828d9c10ebaf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Feb  4 2012 Michel Salim <salimma@fedoraproject.org> - 0.1.31-2.2828d9c10ebaf
- Fix sorting of UTF-8 strings in database

* Mon Jan 30 2012 Michel Salim <salimma@fedoraproject.org> - 0.1.31-1
- Update to 0.1.31

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct  5 2011 Michel Salim <salimma@fedoraproject.org> - 0.1.29-1
- Update to 0.1.29

* Wed Sep 21 2011 Michel Salim <salimma@fedoraproject.org> - 0.1.28-1
- Update to 0.1.28

* Sat Sep 10 2011 Michel Salim <salimma@fedoraproject.org> - 0.1.27-1
- Update to 0.1.27

* Thu Jul 28 2011 Michel Salim <salimma@fedoraproject.org> - 0.1.26-1
- Update to 0.1.26
- Enable tests

* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 0.1.18-1
- Update to 0.1.18

* Sun Mar 13 2011 Michel Salim <salimma@fedoraproject.org> - 0.1.16-1
- Update to 0.1.16
- Now bundles the plugins, obsoleting xnoise-plugins-core

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov  6 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.12-3
- Own %%{_libdir}/xnoise for plugins

* Sat Nov  6 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.12-2
- invoke ldconfig on (un)install
- remove %%clean section; only targeting F-14+
- re-enable deletion of invalid locale dir

* Sat Nov  6 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.12-1
- Update to 0.1.12
- Specify the correct location for Vala API files in *.pc

* Fri Jun 25 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-2
- Make xnoise-devel co-own Vala's VAPI dir
- Remove invalid locale file

* Wed Jun 23 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-1
- Update to final 0.1.6 release

* Sat Apr  3 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.2-0.1.331hg
- Initial package
